AnsweredAssumed Answered

API Gateway 9.2 / OTK 3.6 woes

Question asked by PhBrand on Jun 22, 2017
Latest reply on Jun 30, 2017 by Nicolas Afonso

Hi,

In order to test migration from Gateway 9.1 / OTK 3.5 /MAG 3.2 to 9.2 / 3.6 / 3.3, we've built a "reference" environment, in order to test this.

It appears that no OTK endpoint are working:

 

/mag/manager does works. Other APIs, including RESTman are working.

 

Steps used to migrate:

- upgrade 9.1 to 9.2

- remove previous solution kits: MAG and OTK

- install new solutions kits

 

Detailed error as seen in audit events:

20170622 13:48:00.138WARNING2

service is resolved but the corresponding policy is invalid for service GOID e001cfd0c1c1ffaa18e187b5e72fea4e (oauth/manager). Exception caught!

 

Policy does show up some warning, but as it also does on 9.1/3.5

 

Outcomes